package gov.va.vss.service;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.donation.DonGenPostFund;

public interface DonGenPostFundService {

	DonGenPostFund saveOrUpdate(DonGenPostFund donGenPostFund) throws ServiceValidationException;

	void delete(long donGenPostFundId) throws ServiceValidationException;
	
	public void reactivate(long donGenPostFundId) throws ServiceValidationException ;
	
	public void inactivate(long donGenPostFundId) throws ServiceValidationException;
}
